# -*- coding: utf-8 -*-
# Copyright 2016 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from unittest import TestSuite


def test_suite():
    from gpgservice.tests import (
        test_config,
        test_database,
        test_gpghandler,
        test_webapp,
        test_validators,
    )
    from gpgservice.testing.keyserver import tests as test_keyserver
    modules = [
        test_config,
        test_database,
        test_gpghandler,
        test_keyserver,
        test_validators,
        test_webapp,
    ]
    suites = map(lambda x: x.test_suite(), modules)
    return TestSuite(suites)
